Index: trunk/source/App/TAppEncoder/TAppEncCfg.cpp
===================================================================
--- trunk/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 964)
+++ trunk/source/App/TAppEncoder/TAppEncCfg.cpp	(revision 976)
@@ -393,7 +393,5 @@
   ("LayerIdsInAddOutputLayerSet_%d", m_layerIdsInAddOutputLayerSet      , std::vector<Int>(0,0), MAX_VPS_ADD_OUTPUT_LAYER_SETS, "Indices in VPS of output layers in additional output layer set")  
   ("LayerIdsInDefOutputLayerSet_%d", m_layerIdsInDefOutputLayerSet      , std::vector<Int>(0,0), MAX_VPS_OP_SETS_PLUS1, "Indices in VPS of output layers in layer set")  
-#if H_MV_HLS_7_VPS_P0300_27
   ("AltOutputLayerFlag",    m_altOutputLayerFlag , std::vector<Bool>(1,0), "Alt output layer flag")
-#endif
   ("ProfileLevelTierIdx",   m_profileLevelTierIdx, std::vector<Int>(1,0), "Indices to profile level tier")
   
@@ -523,7 +521,5 @@
 #if H_3D_IC
   ("IlluCompEnable",           m_abUseIC, true, "Enable illumination compensation")
-#if MTK_LOW_LATENCY_IC_ENCODING_H0086
   ("IlluCompLowLatencyEnc",    m_bUseLowLatencyICEnc, false, "Enable low-latency illumination compensation encoding")
-#endif
 #endif
 #if H_3D_INTER_SDC
@@ -1058,10 +1054,8 @@
   xResizeVector( m_wppInUseFlag ); 
 
-#if H_MV_HLS_7_VPS_P0300_27
   for (Int olsIdx = 0; olsIdx < m_vpsNumLayerSets + (Int) m_outputLayerSetIdx.size(); olsIdx++)
   {    
     m_altOutputLayerFlag.push_back( false );      
   }
-#endif
 #else
   m_aidQP = new Int[ m_framesToBeEncoded + m_iGOPSize + 1 ];
@@ -1465,7 +1459,5 @@
   }
 
-#if H_MV_HLS_7_VPS_P0300_27
   xConfirmPara( m_altOutputLayerFlag.size() < m_vpsNumLayerSets + m_outputLayerSetIdx.size(), "The number of Profile Level Tier indices must be equal to the number of layer set plus the number of output layer set indices" );
-#endif
   xConfirmPara( m_profileLevelTierIdx.size() < m_vpsNumLayerSets + m_outputLayerSetIdx.size(), "The number of Profile Level Tier indices must be equal to the number of layer set plus the number of output layer set indices" );
 
@@ -2515,7 +2507,5 @@
 #if H_3D_IC
   printf( "IlluCompEnable:%d ", m_abUseIC);
-#if MTK_LOW_LATENCY_IC_ENCODING_H0086
   printf ("IlluCompLowLatencyEnc:%d ",  m_bUseLowLatencyICEnc);
-#endif
 #endif
 #if H_3D_NBDV_REF
Index: trunk/source/App/TAppEncoder/TAppEncCfg.h
===================================================================
--- trunk/source/App/TAppEncoder/TAppEncCfg.h	(revision 964)
+++ trunk/source/App/TAppEncoder/TAppEncCfg.h	(revision 976)
@@ -94,7 +94,5 @@
   std::vector< std::vector<Int> > m_layerIdsInDefOutputLayerSet; ///< Indices in vps of output layers in layer sets
   std::vector<Int>       m_profileLevelTierIdx;               ///< Indices of of profile level tier
-  #if H_MV_HLS_7_VPS_P0300_27
   std::vector<Bool>      m_altOutputLayerFlag;                ///< Alt output layer flag
-#endif
 
   // Dependencies
@@ -140,7 +138,5 @@
 #if H_3D_IC
   Bool   m_abUseIC;
-#if MTK_LOW_LATENCY_IC_ENCODING_H0086
-  Bool  m_bUseLowLatencyICEnc;
-#endif
+  Bool   m_bUseLowLatencyICEnc;
 #endif
 #if H_3D_NBDV_REF
Index: trunk/source/App/TAppEncoder/TAppEncTop.cpp
===================================================================
--- trunk/source/App/TAppEncoder/TAppEncTop.cpp	(revision 964)
+++ trunk/source/App/TAppEncoder/TAppEncTop.cpp	(revision 976)
@@ -58,8 +58,7 @@
 {
 
-#if H_MV_HLS_8
+#if H_MV
   m_vps = new TComVPS; 
-#endif
-#if !H_MV
+#else
   m_iFrameRcvd = 0;
 #endif
@@ -70,5 +69,5 @@
 TAppEncTop::~TAppEncTop()
 {
-#if H_MV_HLS_8
+#if H_MV
   if (m_vps)
   {
@@ -82,9 +81,5 @@
 {
 #if H_MV
-#if H_MV_HLS_8
   TComVPS& vps = (*m_vps);   
-#else
-  TComVPS& vps = m_vps;   
-#endif
 #else
   TComVPS vps;
@@ -193,9 +188,4 @@
     m_cTEncTop.setDWeight                      ( isDepth ? m_iDWeight             : 0     );
 #endif // H_3D_VSO
-#if H_3D_ARP && !QC_IV_PRED_CONSTRAINT_H0137
-    //====== Advanced Inter-view Residual Prediction =========
-    m_cTEncTop.setUseAdvRP                     ( ( isDepth || 0==layerIdInVps ) ? 0 : m_uiUseAdvResPred );
-    m_cTEncTop.setARPStepNum                   ( ( isDepth || 0==layerIdInVps ) ? 1 : H_3D_ARP_WFNR     );
-#endif
 #if H_3D_SPIVMP
     m_cTEncTop.setSubPULog2Size                 (( isDepth || 0==layerIdInVps ) ? 0 : m_iSubPULog2Size   );
@@ -204,7 +194,5 @@
 #if H_3D_IC
     m_cTEncTop.setUseIC                        ( vps.getViewIndex( layerId ) == 0 || isDepth ? false : m_abUseIC );
-#if MTK_LOW_LATENCY_IC_ENCODING_H0086
     m_cTEncTop.setUseICLowLatencyEnc           ( m_bUseLowLatencyICEnc );
-#endif
 #endif
   //========== Depth intra modes ==========
@@ -708,15 +696,8 @@
 {
 #if H_3D
-#if H_MV_HLS_8
   for ( Int viewIndex = 0; viewIndex < m_vps->getNumViews(); viewIndex++ )
   {
     m_vps->initCamParaVPS( viewIndex, true, m_cCameraData.getCamParsCodedPrecision(), 
       m_cCameraData.getVaryingCameraParameters(), m_cCameraData.getCodedScale(), m_cCameraData.getCodedOffset() );
-#else
-  for ( Int viewIndex = 0; viewIndex < m_vps.getNumViews(); viewIndex++ )
-  {
-  m_vps.initCamParaVPS( viewIndex, true, m_cCameraData.getCamParsCodedPrecision(), 
-      m_cCameraData.getVaryingCameraParameters(), m_cCameraData.getCodedScale(), m_cCameraData.getCodedOffset() );
-#endif
   }
 #endif
@@ -1299,9 +1280,5 @@
 
   Int  defaultDirectDependencyType = -1; 
-#if MV_FIX_DEP_TYPES
   Bool defaultDirectDependencyFlag = false; 
-#else
-  Bool defaultDirectDependencyFlag = true; 
-#endif
 
   for( Int depLayer = 1; depLayer < m_numberOfLayers; depLayer++ )
@@ -1322,7 +1299,5 @@
       {
         defaultDirectDependencyType = curDirectDependencyType; 
-#if MV_FIX_DEP_TYPES
         defaultDirectDependencyFlag = true; 
-#endif
       }
       
@@ -1514,9 +1489,5 @@
 Void TAppEncTop::xSetRepFormat( TComVPS& vps )
 {
-#if H_MV_HLS_8_PMS_Q0195_20
   vps.setRepFormatIdxPresentFlag( false ); 
-#else
-  vps.setRepFormatIdxPresentFlag( true ); 
-#endif
   vps.setVpsNumRepFormatsMinus1 ( 0    ); 
 
@@ -1534,11 +1505,4 @@
   assert( vps.getRepFormat( 0 ) == NULL ); 
   vps.setRepFormat( 0 , repFormat );
-
-#if !H_MV_HLS_8_PMS_Q0195_20
-  for(Int i = 0; i <= vps.getMaxLayersMinus1(); i++ )
-  {
-    vps.setVpsRepFormatIdx( i , 0 ); 
-  }
-#endif
 }
 
@@ -1551,35 +1515,17 @@
   assert ( dpbSize != 0 ); 
 
-#if H_MV_HLS_8_HRD_Q0102_08
   for( Int i = 0; i < vps.getNumOutputLayerSets(); i++ )
-#else
-  for( Int i = 1; i < vps.getNumOutputLayerSets(); i++ )
-#endif
   {  
-#if H_MV_HLS_8_MIS_Q0102_30
     Int currLsIdx = vps.olsIdxToLsIdx( i ); 
-#endif
     std::vector<Int> targetDecLayerIdList = vps.getTargetDecLayerIdList( i ); 
     Bool subLayerFlagInfoPresentFlag = false; 
 
-#if H_MV_HLS_8_MIS_Q0102_30
     for( Int j = 0; j  <=  vps.getMaxSubLayersInLayerSetMinus1( currLsIdx ); j++ )
-#else
-    for( Int j = 0; j  <=  vps.getMaxSubLayersInLayerSetMinus1( i ); j++ )
-#endif
     {   
       Bool subLayerDpbInfoPresentFlag = false; 
-#if H_MV_HLS_8_MIS_Q0102_30 || H_MV_HLS_8_DBP_NODOC_42
       assert( vps.getNumLayersInIdList( currLsIdx ) == targetDecLayerIdList.size() ); 
       for( Int k = 0; k < vps.getNumLayersInIdList( currLsIdx ); k++ )   
-#else
-      assert( vps.getNumSubDpbs( vps.olsIdxToLsIdx( i ) ) == targetDecLayerIdList.size() ); 
-      for( Int k = 0; k < vps.getNumSubDpbs( vps.olsIdxToLsIdx( i )); k++ )   
-#endif
       {
         Int layerIdInVps = vps.getLayerIdInVps( targetDecLayerIdList[k] );           
-#if H_MV_HLS7_GEN
-        // TBD. Some derivation based on output layer set might be added here. 
-#endif
         dpbSize->setMaxVpsDecPicBufferingMinus1( i, k, j, m_maxDecPicBufferingMvc[ layerIdInVps ][ j ] - 1 );
         if ( j > 0 )
@@ -1642,10 +1588,6 @@
   // Additional output layer sets + profileLevelTierIdx
   vps.setDefaultOutputLayerIdc      ( m_defaultOutputLayerIdc );   
-#if H_MV_HLS_8_SYN_39_19
   vps.setNumAddLayerSets            ( 0                             );  
   vps.setNumAddOlss                 ( numAddOuputLayerSets          ); 
-#else
-  vps.setNumAddLayerSets            ( numAddOuputLayerSets          ); 
-#endif
   vps.initTargetLayerIdLists(); 
 
@@ -1696,5 +1638,5 @@
       vps.setProfileLevelTierIdx( olsIdx, m_profileLevelTierIdx[ olsIdx ] ); 
     }
-#if H_MV_HLS_7_VPS_P0300_27
+   
     if ( vps.getNumOutputLayersInOutputLayerSet( olsIdx ) == 1 && 
         vps.getNumDirectRefLayers( vps.getOlsHighestOutputLayerId( olsIdx ) ) )
@@ -1710,7 +1652,4 @@
       }
     }
-#else
-    vps.setAltOutputLayerFlag( olsIdx , false);     
-#endif
   }
 }
@@ -1869,11 +1808,6 @@
 
 #if H_3D_ARP
-#if QC_IV_PRED_CONSTRAINT_H0137
     vps.setUseAdvRP        ( layer, ( isDepth || isLayerZero || !vps.getNumDirectRefLayers(layer) ) ? 0 : m_uiUseAdvResPred );
     vps.setARPStepNum      ( layer, ( isDepth || isLayerZero || !vps.getNumDirectRefLayers(layer) ) ? 1 : H_3D_ARP_WFNR     );
-#else
-    vps.setUseAdvRP        ( layer, ( isDepth || isLayerZero ) ? 0 : m_uiUseAdvResPred );
-    vps.setARPStepNum      ( layer, ( isDepth || isLayerZero ) ? 1 : H_3D_ARP_WFNR     );
-#endif  
 #endif  
 #if H_3D_SPIVMP
@@ -1893,5 +1827,4 @@
 
 #if H_3D_IV_MERGE
-#if QC_IV_PRED_CONSTRAINT_H0137
     if( !vps.getNumDirectRefLayers(layer) )
     {
@@ -1900,16 +1833,13 @@
     else
     {
-#endif
-    if( isDepth )
-    {
-      vps.setIvMvPredFlag         ( layer, (layer != 1) && m_ivMvPredFlag[1] ); 
-    }
-    else
-    {
-      vps.setIvMvPredFlag         ( layer, !isLayerZero && m_ivMvPredFlag[0] ); 
-    }
-#if QC_IV_PRED_CONSTRAINT_H0137
-    }
-#endif
+      if( isDepth )
+      {
+        vps.setIvMvPredFlag         ( layer, (layer != 1) && m_ivMvPredFlag[1] ); 
+      }
+      else
+      {
+        vps.setIvMvPredFlag         ( layer, !isLayerZero && m_ivMvPredFlag[0] ); 
+      }
+    }
 #endif
 #if H_3D_NBDV_REF
@@ -1917,9 +1847,5 @@
 #endif
 #if H_3D_VSP
-#if QC_IV_PRED_CONSTRAINT_H0137
     vps.setViewSynthesisPredFlag( layer, !isLayerZero && !isDepth && vps.getNumDirectRefLayers(layer) && m_viewSynthesisPredFlag );         
-#else
-    vps.setViewSynthesisPredFlag( layer, !isLayerZero && !isDepth && m_viewSynthesisPredFlag );         
-#endif
 #endif
 #if H_3D_DBBP
Index: trunk/source/App/TAppEncoder/TAppEncTop.h
===================================================================
--- trunk/source/App/TAppEncoder/TAppEncTop.h	(revision 964)
+++ trunk/source/App/TAppEncoder/TAppEncTop.h	(revision 976)
@@ -75,5 +75,5 @@
 
   TComPicLists               m_ivPicLists;                  ///< picture buffers of encoder instances
-#if H_MV_HLS_8
+#if H_MV
   TComVPS*                   m_vps;                         ///< vps
 #else
